<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// Change dynamic DNS settings
//
// License
// =======
//
// Copyright (C) 2018 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "settings.html";

if (isset($_POST['submitddnshelp'])) {
    $output_filename = "help_dynamicdns.html";
}

if (isset($_POST['submitddns'])) {
    $ddns = htmlspecialchars($_POST['dynamicdns']);
    $ddns_username = htmlspecialchars($_POST['ddns_username']);
    $ddns_password = htmlspecialchars($_POST['ddns_password']);
    $ddns_code = htmlspecialchars($_POST['ddnscode']);

    $ddns_file = fopen(".dynamicdns.txt", "w") or die("Unable to create dynamicdns file");
    fwrite($ddns_file, $ddns.','.$ddns_username.','.$ddns_password.','.$ddns_code);
    fclose($ddns_file);
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

?>
