<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// Adds a new user to the system
//
// License
// =======
//
// Copyright (C) 2018 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "users.html";

if (isset($_POST['submitnewuser'])) {
    $username = htmlspecialchars($_POST['username']);

    if (!preg_match('/^[a-z\d_]{4,32}$/', $username)) {
        $output_filename = "new_user_invalid.html";
    }
    else {
        // Don't rely on php PRNG
        $newpassword = exec('diceware');
        $new_user_file = fopen(".new_user.txt", "w") or die("Unable to write to new_user file");
        fwrite($new_user_file, $username.",".$newpassword);
        fclose($new_user_file);

        exec('cp new_user_confirm_template.html new_user_confirm.html');
        exec('sed -i "s|NEWPASSWORD|'.$newpassword.'|g" new_user_confirm.html');
        $output_filename = "new_user_confirm.html";
    }
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

?>
