<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// Update playlist settings for icecast
//
// License
// =======
//
// Copyright (C) 2018 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "app_icecast.html";

if (isset($_POST['submiticecast'])) {
    $icecast_name = trim(htmlspecialchars($_POST['icecast_name']));
    $icecast_description = trim(htmlspecialchars($_POST['icecast_description']));
    $icecast_genre = trim(htmlspecialchars($_POST['icecast_genre']));

    if(($icecast_name === '') || ($icecast_description === '') || ($icecast_genre === '')) {
        $output_filename = "icecast_missing_fields.html";
    }
    else {
        $icecast_file = fopen(".icecast.txt", "w") or die("Unable to write to icecast file");
        fwrite($icecast_file, $icecast_name.','.$icecast_description.','.$icecast_genre);
        fclose($icecast_file);

        $output_filename = "icecast_updating.html";
    }
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

?>
