<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// From the initial setup screen when the box is first booted
// this stores the preferred username within a temporary
// version of setup.txt, which will later be used by the webadmin
// daemon (freedombone-installer)
//
// License
// =======
//
// Copyright (C) 2018 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "index.html";

if (isset($_POST['setup'])) {
    if(file_exists("setup_confirm.html")) {
        $my_username = htmlspecialchars($_POST['my_username']);

        if(!file_exists(".temp_setup.txt")) {
            $setup_file = fopen(".temp_setup.txt", "w") or die("Unable to create setup file");
            fwrite($setup_file, $my_username);
            fclose($setup_file);
        }

        $output_filename = "setup_confirm.html";
    }
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

?>
